php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #64486 error: no member named 'GetPointerFromInternalField' in 'v8::Object'
Submitted: 2013-03-22 08:41 UTC Modified: 2015-03-13 14:58 UTC
From: php-bugs-2013 at ryandesign dot com Assigned: stesie (profile)
Status: Closed Package: v8js (PECL)
PHP Version: Irrelevant OS: OS X 10.8.3
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: php-bugs-2013 at ryandesign dot com
New email:
PHP Version: OS:

 

 [2013-03-22 08:41 UTC] php-bugs-2013 at ryandesign dot com
Description:
------------
Trying to build pecl v8js 0.1.3 on OS X 10.8.3 with Xcode 4.6.1 and Apple LLVM 
version 4.2 (clang-425.0.27) (based on LLVM 3.2svn) and with v8 3.17.15 fails as 
follows:


v8js_convert.cc:39:54: error: no member named 'GetPointerFromInternalField' in 
'v8::Object'; did you mean 'GetAlignedPointerFromInternalField'?
        zval *value = reinterpret_cast<zval *>(args.This()-
>GetPointerFromInternalField(0));
                                                            
^~~~~~~~~~~~~~~~~~~~~~~~~~~
                                                            
GetAlignedPointerFromInternalField
/opt/local/include/v8.h:4712:15: note: 'GetAlignedPointerFromInternalField' 
declared here
void* Object::GetAlignedPointerFromInternalField(int index) {
              ^


I've tested with php 5.3.23, 5.4.13 and 5.5.0alpha6 with the same result in each 
case.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2013-03-23 10:28 UTC] php-bugs-2013 at ryandesign dot com
It appears that GetPointerFromInternalField was removed in v8 3.16:

http://www.mail-archive.com/v8-users@googlegroups.com/msg05887.html

Will pecl v8js be updated to be compatible with newer versions of v8?
 [2014-11-20 20:19 UTC] stesie at brokenpipe dot de
It's been a while since this issue was opened, but anyways, since I'm going over the whole list of bugs now ...

This has been fixed meanwhile and 0.1.5 release already has the fix.

Anyways, the release is rather dated already, hence you'll probably want to use current master branch from Github repo: https://github.com/preillyme/v8js

cheers,
  ~stesie
 [2015-03-13 14:58 UTC] stesie@php.net
-Status: Open +Status: Closed -Assigned To: +Assigned To: stesie
 [2015-03-13 14:58 UTC] stesie@php.net
No feedback, closing.

Build works ok, on MacOS also.  See https://github.com/preillyme/v8js/issues/97
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Wed Jan 29 11:01:24 2020 UTC